import setuptools
import os

version = '1.0.1'

if os.environ.get('CIRCLECI') == 'true':
    # CircleCI build script will use sed to insert the circle CI build number
    version = version + '.121'

with open('requirements.txt') as f:
    requirements = f.read().split('\n')

setuptools.setup(
    name="maxar-canvas-grid",
    version=version,
    author="Marc Pfister",
    author_email="marc.pfister@digitalglobe.com",
    description="tools for working with Canvas tiles",
    install_requires=requirements,
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
)
